Subject: Re: man? - solved
From: [email-masked] (Jason Tishler)

7 Feb 1997 09:55:43 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <Pine.OSF.3.91.970207031144.22852D-100000@oracle>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (WinNT; I)
Original-To: "Who cares..." <[email-masked]>
Original-CC: gnu-win32 <[email-masked]>
Original-Sender: [email-masked]

Who cares... wrote:
> tried that and it didn't work, here is my script...
> 
> export GROFF_FONT_PATH=/gnu-extras/share/groff/font 
> export GROFF_TMAC_PATH=/gnu-extras/share/groff/tmac 
> ROOTDIR=/cygnus
> MANDIR=/cygnus/man/man1 
> cd $ROOTDIR
> troff -man -Tascii $MANDIR/$1.1 | grotty 2>nul:
> 
> and here is my mount info:
> 
> Device Directory Type Flags
> ... some lines deleted ...
> d:\cygnus\H-i386-cygwin32 /gnu-extras
> d:\cygnus /cygnus 

Recall that this version of troff is not gnu-win32 and will not understand
gnu-win32 style mounts.  From the above mount output, I conclude that your
share/groff directory is under d:\cygnus\H-i386-cygwin32.  If I'm correct,
then change the definition of GROFF_FONT_PATH and GROFF_TMAC_PATH in man
to:

    export GROFF_FONT_PATH=/cygnus/H-i386-cygwin32/share/groff/font 
    export GROFF_TMAC_PATH=/cygnus/H-i386-cygwin32/share/groff/tmac 

If I'm not, then change the above as appropriate but use Windows style
directories (with forward slashes) and not gnu-win32 style mount directories.

Jason

-- 
Jason Tishler                        Phone: +1 (212) 989-4455 ext. 120
Box Hill Systems Corporation         Fax:   +1 (212) 989-6817
161 Avenue of the Americas           Email: [email-masked]
New York, NY 10013 USA               WWW:   http://www.boxhill.com
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".